- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions

# FbxConstraintRotation Class Reference

This reference page is linked to from the following overview topics: List of Python Fbx classes.

Search for all occurrences

## Detailed Description

This constraint class contains methods for accessing the properties of a rotation constraint.

A rotation constraint lets you constrain the rotation of an object based on the rotation of one or more sources.

Definition at line 32 of file fbxconstraintrotation.h.

`#include <fbxconstraintrotation.h>`

Inheritance diagram for FbxConstraintRotation:
[legend]

List of all members.

## Public Member Functions
void | AddConstraintSource (FbxObject *pObject, double pWeight=100)
| Add a source to the constraint.
int | GetConstraintSourceCount () const
| Retrieve the constraint source count.
FbxObject * | GetConstraintSource (int pIndex) const
| Retrieve a constraint source object.
void | SetConstrainedObject (FbxObject *pObject)
| Set the constrained object.
FbxObject * | GetConstrainedObject () const
| Retrieve the constrained object.
## Public Attributes
FbxPropertyT< FbxReference > | SourceWeights
## Protected Member Functions
| FbxConstraintRotation (FbxManager &pManager, char const *pName)
virtual bool | ConstructProperties (bool pForceSet)
virtual EType | GetConstraintType () const
| Access the type of the constraint.
## Properties
FbxPropertyT< FbxBool > | AffectX
| This property handles whether to affect x axis.
FbxPropertyT< FbxBool > | AffectY
| This property handles whether to affect y axis.
FbxPropertyT< FbxBool > | AffectZ
| This property handles whether to affect z axis.
FbxPropertyT< FbxDouble3 > | Rotation
| This property handles rotation offset.
FbxPropertyT< FbxReference > | ConstraintSources
| This property handles constraint source objects.
FbxPropertyT< FbxReference > | ConstrainedObject
| This property handles constraint target objects.

## Constructor & Destructor Documentation

FbxConstraintRotation | ( | FbxManager & | pManager,
|  | char const * | pName
| ) |  | `[protected]`

## Member Function Documentation

void AddConstraintSource | ( | FbxObject * | pObject,
|  | double | pWeight = `100`
| ) |  |

Search for all occurrences

Add a source to the constraint.

Parameters:

  pObject | New source object.
  pWeight | Weight of the source object.

int GetConstraintSourceCount | ( |  | ) | const `[virtual]`

Search for all occurrences

Retrieve the constraint source count.

Returns:
  Current constraint source count.

Reimplemented from FbxConstraint.

FbxObject* GetConstraintSource | ( | int | pIndex | ) | const `[virtual]`

Search for all occurrences

Retrieve a constraint source object.

Parameters:

  pIndex | Index of the source object

Returns:
  Current source at the specified index.

Reimplemented from FbxConstraint.

void SetConstrainedObject | ( | FbxObject * | pObject | ) |

Search for all occurrences

Set the constrained object.

Parameters:

  pObject | The constrained object.

FbxObject* GetConstrainedObject | ( |  | ) | const `[virtual]`

Search for all occurrences

Retrieve the constrained object.

Returns:
  Current constrained object.

Reimplemented from FbxConstraint.

virtual bool ConstructProperties | ( | bool | pForceSet | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxConstraint.

virtual EType GetConstraintType | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Access the type of the constraint.

Returns:
  This type of the constraint.

Reimplemented from FbxConstraint.

## Member Data Documentation

FbxPropertyT<FbxBool> AffectX

Search for all occurrences

This property handles whether to affect x axis.

Default value is true.

Definition at line 44 of file fbxconstraintrotation.h.

FbxPropertyT<FbxBool> AffectY

Search for all occurrences

This property handles whether to affect y axis.

Default value is true.

Definition at line 48 of file fbxconstraintrotation.h.

FbxPropertyT<FbxBool> AffectZ

Search for all occurrences

This property handles whether to affect z axis.

Default value is true.

Definition at line 53 of file fbxconstraintrotation.h.

FbxPropertyT<FbxDouble3> Rotation

Search for all occurrences

This property handles rotation offset.

Default value is (0, 0, 0).

Definition at line 58 of file fbxconstraintrotation.h.

FbxPropertyT<FbxReference> ConstraintSources

Search for all occurrences

This property handles constraint source objects.

Definition at line 62 of file fbxconstraintrotation.h.

FbxPropertyT<FbxReference> ConstrainedObject

Search for all occurrences

This property handles constraint target objects.

Definition at line 66 of file fbxconstraintrotation.h.

FbxPropertyT<FbxReference> SourceWeights

Search for all occurrences

Definition at line 98 of file fbxconstraintrotation.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/constraint/fbxconstraintrotation.h

FbxConstraintRotation FbxConstraintRotation FbxConstraintRotation FbxConstraintRotation FbxConstraintRotation FbxConstraintRotation FbxConstraintRotation FbxConstraintRotation FbxConstraintRotation FbxConstraintRotation
FbxConstraintRotation FbxConstraintRotation FbxConstraintRotation FbxConstraintRotation FbxConstraintRotation FbxConstraintRotation FbxConstraintRotation FbxConstraintRotation FbxConstraintRotation FbxConstraintRotation